CELL-UPDATE(1)                   Cell Manual                   CELL-UPDATE(1)

NAME
       cell update - Update a dependency to a new version

SYNOPSIS
       cell update <alias> <version>

DESCRIPTION
       The update command changes the version of an existing dependency
       in your project. It updates the cell.toml file and prepares the
       new version for download.

ARGUMENTS
       alias
              The dependency alias as defined in cell.toml
       
       version
              The new version to update to (e.g., v1.2.0, head)

OPERATION
       1. Loads the current cell.toml configuration
       2. Verifies the dependency exists
       3. Updates the version in the dependencies section
       4. Saves the updated configuration
       5. Creates the new module directory
       6. Downloads the new version (TODO: implementation pending)

EXAMPLES
       Update to a specific version:
              cell update chess v1.2.0
       
       Update to latest:
              cell update chess head
       
       The dependency entry will be updated from:
              chess = "git.world/jj/chess@v1.0.0"
       To:
              chess = "git.world/jj/chess@v1.2.0"

NOTES
       - The old version remains in .cell/modules/ until manually removed
       - Run 'cell build' after updating to recompile modules
       - The update preserves the original module path, only changing version

FILES
       .cell/cell.toml
              Updated with the new version
       
       .cell/modules/
              New version directory created

SEE ALSO
       cell(1), cell-get(1), cell-build(1)